#ifndef FD_Xfax_h_
#define FD_Xfax_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void FileMenu(FL_OBJECT *, long);
extern void OptionsMenu(FL_OBJECT *, long);
extern void View(FL_OBJECT *, long);
extern void Send(FL_OBJECT *, long);
extern void LogViewOpen(FL_OBJECT *, long);
extern void Exit(FL_OBJECT *, long);
extern void AddFile(FL_OBJECT *, long);
extern void RemoveFile(FL_OBJECT *, long);
extern void StartEditor(FL_OBJECT *, long);
extern void Print(FL_OBJECT *, long);
extern void Info(FL_OBJECT *, long);
extern void BrowseAliases(FL_OBJECT *, long);
extern void AddAlias(FL_OBJECT *, long);

extern void FromOK(FL_OBJECT *, long);
extern void FromCancel(FL_OBJECT *, long);

extern void SystemOK(FL_OBJECT *, long);
extern void SystemCancel(FL_OBJECT *, long);

extern void LogViewClose(FL_OBJECT *, long);
extern void LogViewWriteFile(FL_OBJECT *, long);

extern void AliasesClose(FL_OBJECT *, long);
extern void PasteAlias(FL_OBJECT *, long);
extern void RemoveAlias(FL_OBJECT *, long);

extern void FaxViewPrevious(FL_OBJECT *, long);
extern void FaxViewNext(FL_OBJECT *, long);
extern void FaxViewClose(FL_OBJECT *, long);

extern void FaxViewPrevious(FL_OBJECT *, long);
extern void FaxViewNext(FL_OBJECT *, long);
extern void FaxViewClose(FL_OBJECT *, long);

extern void FaxViewPrevious(FL_OBJECT *, long);
extern void FaxViewNext(FL_OBJECT *, long);
extern void FaxViewClose(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *Xfax;
	void *vdata;
	long ldata;
	FL_OBJECT *FileMenu;
	FL_OBJECT *OptionsMenu;
	FL_OBJECT *Number;
	FL_OBJECT *Name;
	FL_OBJECT *FileList;
	FL_OBJECT *View;
	FL_OBJECT *Send;
	FL_OBJECT *Exit;
	FL_OBJECT *Logo;
	FL_OBJECT *Print;
	FL_OBJECT *Info;
	FL_OBJECT *Message;
	FL_OBJECT *FrontPage;
} FD_Xfax;

extern FD_Xfax * create_form_Xfax(void);
typedef struct {
	FL_FORM *FromWin;
	void *vdata;
	long ldata;
	FL_OBJECT *FromOK;
	FL_OBJECT *FromCancel;
	FL_OBJECT *Name;
	FL_OBJECT *Title;
	FL_OBJECT *Department;
	FL_OBJECT *Email;
} FD_FromWin;

extern FD_FromWin * create_form_FromWin(void);
typedef struct {
	FL_FORM *SystemWin;
	void *vdata;
	long ldata;
	FL_OBJECT *SystemOK;
	FL_OBJECT *SystemCancel;
	FL_OBJECT *SpoolDir;
	FL_OBJECT *AsciiCmd;
	FL_OBJECT *PSCmd;
	FL_OBJECT *GifCmd;
	FL_OBJECT *G3ToXpm;
	FL_OBJECT *FaxSend;
	FL_OBJECT *FaxPrint;
	FL_OBJECT *Editor;
} FD_SystemWin;

extern FD_SystemWin * create_form_SystemWin(void);
typedef struct {
	FL_FORM *LogView;
	void *vdata;
	long ldata;
	FL_OBJECT *Viewer;
} FD_LogView;

extern FD_LogView * create_form_LogView(void);
typedef struct {
	FL_FORM *Aliases;
	void *vdata;
	long ldata;
	FL_OBJECT *AliasViewer;
} FD_Aliases;

extern FD_Aliases * create_form_Aliases(void);
typedef struct {
	FL_FORM *FaxViewHR;
	void *vdata;
	long ldata;
	FL_OBJECT *FaxBitmap;
	FL_OBJECT *FaxViewPrevious;
	FL_OBJECT *FaxViewNext;
	FL_OBJECT *FaxViewClose;
	FL_OBJECT *PageNumber;
	FL_OBJECT *PageCount;
} FD_FaxViewHR;

extern FD_FaxViewHR * create_form_FaxViewHR(void);
typedef struct {
	FL_FORM *FaxViewMR;
	void *vdata;
	long ldata;
	FL_OBJECT *FaxBitmap;
	FL_OBJECT *FaxViewPrevious;
	FL_OBJECT *FaxViewNext;
	FL_OBJECT *FaxViewClose;
	FL_OBJECT *PageNumber;
	FL_OBJECT *PageCount;
} FD_FaxViewMR;

extern FD_FaxViewMR * create_form_FaxViewMR(void);
typedef struct {
	FL_FORM *FaxViewLR;
	void *vdata;
	long ldata;
	FL_OBJECT *FaxBitmap;
	FL_OBJECT *FaxViewPrevious;
	FL_OBJECT *FaxViewNext;
	FL_OBJECT *FaxViewClose;
	FL_OBJECT *PageNumber;
	FL_OBJECT *PageCount;
} FD_FaxViewLR;

extern FD_FaxViewLR * create_form_FaxViewLR(void);

#endif /* FD_Xfax_h_ */
